using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;

public partial class SiteMapDataSource : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    //When r.a.d.navigational controls are bound to a SiteMapDataSource,
    //the hierarchy is established automatically.
    //Also the sitemap fields for url, title, and description are automatically bound to
    //NavigateUrl, Text, and ToolTip properties respectively. 

    protected void RadMenu1_ItemDataBound(object sender, Telerik.WebControls.RadMenuEventArgs e)
    {
        //setting the ToolTipProperty to value which is different from the sitemap's "description" attribute
        e.Item.ToolTip = (string)DataBinder.Eval(e.Item.DataItem, "title") + " tooltip";
    }
    protected void RadPanelbar1_ItemDataBound(object sender, RadPanelbarEventArgs e)
    {
        e.Item.ToolTip = (string)DataBinder.Eval(e.Item.DataItem, "title") + " tooltip";       
    }
    protected void RadTabStrip1_TabDataBound(object sender, TabStripEventArgs e)
    {
        e.Tab.ToolTip = (string)DataBinder.Eval(e.Tab.DataItem, "title") + " tooltip";
    }
    protected void RadTreeView1_NodeBound(object o, RadTreeNodeEventArgs e)
    {
        e.NodeBound.ToolTip = (string)DataBinder.Eval(e.NodeBound.DataItem, "title") + " tooltip";
    }
}
