Imports Telerik.WebControls

Partial Class VB_Version_SiteMapDataSourceVB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub
    'When r.a.d.navigational controls are bound to a SiteMapDataSource,
    'the hierarchy is established automatically.
    'Also the sitemap fields for url, title, and description are automatically bound to
    'NavigateUrl, Text, and ToolTip properties respectively. 
    Protected Sub RadMenu1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.RadMenuEventArgs)
        'setting the ToolTipProperty to value which is different from the sitemap's "description" attribute
        e.Item.ToolTip = CStr(DataBinder.Eval(e.Item.DataItem, "title")) + " tooltip"
    End Sub 'RadMenu1_ItemDataBound

    Protected Sub RadPanelbar1_ItemDataBound(ByVal sender As Object, ByVal e As RadPanelbarEventArgs)
        e.Item.ToolTip = CStr(DataBinder.Eval(e.Item.DataItem, "title")) + " tooltip"
    End Sub 'RadPanelbar1_ItemDataBound

    Protected Sub RadTabStrip1_TabDataBound(ByVal sender As Object, ByVal e As TabStripEventArgs)
        e.Tab.ToolTip = CStr(DataBinder.Eval(e.Tab.DataItem, "title")) + " tooltip"
    End Sub 'RadTabStrip1_TabDataBound

    Protected Sub RadTreeView1_NodeBound(ByVal o As Object, ByVal e As RadTreeNodeEventArgs)
        e.NodeBound.ToolTip = CStr(DataBinder.Eval(e.NodeBound.DataItem, "title")) + " tooltip"
    End Sub 'RadTreeView1_NodeBound
End Class
