using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.WebControls;
using System.Data.SqlClient;

public partial class SqlDataTable : System.Web.UI.Page
{
    

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            SqlDataAdapter adapter = new SqlDataAdapter("Select * from Table1", @"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True");

            DataSet links = new DataSet();

                adapter.Fill(links);
            
            //Menu
            RadMenu1.DataSource = links;
            RadMenu1.DataFieldID = "ID";
            RadMenu1.DataFieldParentID = "ParentID";
            RadMenu1.DataTextField = "Text";
            RadMenu1.DataNavigateUrlField = "URL";
            RadMenu1.DataBind();

            //Panelbar  
            RadPanelbar1.DataSource = links;
            RadPanelbar1.DataFieldID = "ID";
            RadPanelbar1.DataFieldParentID = "ParentID";
            RadPanelbar1.DataTextField = "Text";
            RadPanelbar1.DataNavigateUrlField = "URL";
            RadPanelbar1.DataBind();

            //Tabstrip   
            RadTabStrip1.DataSource = links;
            RadTabStrip1.DataFieldID = "ID";
            RadTabStrip1.DataFieldParentID = "ParentID";
            RadTabStrip1.DataTextField = "Text";
            RadTabStrip1.DataNavigateUrlField = "URL";
            RadTabStrip1.DataBind();

            //Treeview   
            RadTreeView1.DataSource = links;
            RadTreeView1.DataFieldID = "ID";
            RadTreeView1.DataFieldParentID = "ParentID";
            RadTreeView1.DataTextField = "Text";
            RadTreeView1.DataNavigateUrlField = "URL";
            RadTreeView1.DataBind();
        }
    }
    protected void RadMenu1_ItemDataBound(object sender, Telerik.WebControls.RadMenuEventArgs e)
    {
        //Set additional properties. ToolTip for example:
        DataRowView row = (DataRowView)e.Item.DataItem;
        e.Item.ToolTip = row["Tooltip"].ToString();

        //Overwrite already bound properties. For example, remove the url for all root items:
        if (e.Item.Level == 0)
        {
            e.Item.NavigateUrl = "";
        }
    }
    protected void RadPanelbar1_ItemDataBound(object sender, RadPanelbarEventArgs e)
    {
        //Set additional properties. ToolTip for example:
        DataRowView row = (DataRowView)e.Item.DataItem;
        e.Item.ToolTip = row["Tooltip"].ToString();
    }
    protected void RadPanelbar1_DataBound(object sender, EventArgs e)
    {
        //Overwrite already bound properties. For example, remove the url for all non-leaf items:
        foreach (RadPanelItem item1 in RadPanelbar1.GetAllItems())
        {
            if (item1.Items.Count > 0)
            {
                item1.NavigateUrl = "";
            }
        }
        //We use the DataBound event because in ItemDataBoundEvent Items.Count may be "0" for non-leaf items. 
    }
    protected void RadTabStrip1_TabDataBound(object sender, TabStripEventArgs e)
    {
        //Set additional properties. ToolTip for example:
        DataRowView row = (DataRowView)e.Tab.DataItem;
        e.Tab.ToolTip = row["Tooltip"].ToString();
    }
    protected void RadTabStrip1_DataBound(object sender, EventArgs e)
    {
        //Overwrite already bound properties. For example, remove the url for all non-leaf items:       
        foreach (Tab tab1 in RadTabStrip1.GetAllTabs())
        {
            if (tab1.Tabs.Count > 0)
            {
                tab1.NavigateUrl = "";
            }
        }
        //We use the DataBound event because in ItemDataBoundEvent Tabs.Count may be "0" for non-leaf tabs. 

    }
    protected void RadTreeView1_NodeBound(object o, RadTreeNodeEventArgs e)
    {
        //Set additional properties. ToolTip for example:
        DataRowView row = (DataRowView)e.NodeBound.DataItem;
        e.NodeBound.ToolTip = row["Tooltip"].ToString();

        //Overwrite already bound properties. For example, remove the url for all root nodes:
        if (e.NodeBound.Level == 0)
        {
            e.NodeBound.NavigateUrl = "";
        }
    }    
}
