Imports System
Imports System.Data
Imports System.Data.SqlClient
Imports Telerik.WebControls

Partial Class VB_Version_SqlDataTable
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Dim adapter As New SqlDataAdapter("Select * from Table1", "Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|Database.mdf;Integrated Security=True;Connect Timeout=30;User Instance=True")

            Dim links As New DataSet()
            Adapter.Fill(links)

            'Menu
            RadMenu1.DataSource = links
            RadMenu1.DataFieldID = "ID"
            RadMenu1.DataFieldParentID = "ParentID"
            RadMenu1.DataTextField = "Text"
            RadMenu1.DataNavigateUrlField = "URL"
            RadMenu1.DataBind()

            'Panelbar  
            RadPanelbar1.DataSource = links
            RadPanelbar1.DataFieldID = "ID"
            RadPanelbar1.DataFieldParentID = "ParentID"
            RadPanelbar1.DataTextField = "Text"
            RadPanelbar1.DataNavigateUrlField = "URL"
            RadPanelbar1.DataBind()

            'Tabstrip   
            RadTabStrip1.DataSource = links
            RadTabStrip1.DataFieldID = "ID"
            RadTabStrip1.DataFieldParentID = "ParentID"
            RadTabStrip1.DataTextField = "Text"
            RadTabStrip1.DataNavigateUrlField = "URL"
            RadTabStrip1.DataBind()

            'Treeview   
            RadTreeView1.DataSource = links
            RadTreeView1.DataFieldID = "ID"
            RadTreeView1.DataFieldParentID = "ParentID"
            RadTreeView1.DataTextField = "Text"
            RadTreeView1.DataNavigateUrlField = "URL"
            RadTreeView1.DataBind()
        End If
    End Sub

    Protected Sub RadMenu1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.RadMenuEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.Item.DataItem, DataRowView)
        e.Item.ToolTip = row("Tooltip").ToString()

        'Overwrite already bound properties. For example, remove the url for all root items:
        If e.Item.Level = 0 Then
            e.Item.NavigateUrl = ""
        End If
    End Sub 'RadMenu1_ItemDataBound

    Protected Sub RadPanelbar1_ItemDataBound(ByVal sender As Object, ByVal e As RadPanelbarEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.Item.DataItem, DataRowView)
        e.Item.ToolTip = row("Tooltip").ToString()
    End Sub 'RadPanelbar1_ItemDataBound
    'We use the DataBound event because in ItemDataBoundEvent Items.Count may be "0" for non-leaf items. 
    Protected Sub RadPanelbar1_DataBound(ByVal sender As Object, ByVal e As EventArgs)
        'Overwrite already bound properties. For example, remove the url for all non-leaf items:
        Dim item1 As RadPanelItem
        For Each item1 In RadPanelbar1.GetAllItems()
            If item1.Items.Count > 0 Then
                item1.NavigateUrl = ""
            End If
        Next item1
    End Sub 'RadPanelbar1_DataBound
    'We use the DataBound event because in ItemDataBoundEvent Items.Count may be "0" for non-leaf items. 
    Protected Sub RadTabStrip1_TabDataBound(ByVal sender As Object, ByVal e As TabStripEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.Tab.DataItem, DataRowView)
        e.Tab.ToolTip = row("Tooltip").ToString()
    End Sub 'RadTabStrip1_TabDataBound

    Protected Sub RadTabStrip1_DataBound(ByVal sender As Object, ByVal e As EventArgs)
        'Overwrite already bound properties. For example, remove the url for all non-leaf items:       
        Dim tab1 As Tab
        For Each tab1 In RadTabStrip1.GetAllTabs()
            If tab1.Tabs.Count > 0 Then
                tab1.NavigateUrl = ""
            End If
        Next tab1
    End Sub 'RadTabStrip1_DataBound
    'We use the DataBound event because in ItemDataBoundEvent Tabs.Count may be "0" for non-leaf tabs. 
    Protected Sub RadTreeView1_NodeBound(ByVal o As Object, ByVal e As RadTreeNodeEventArgs)
        'Set additional properties. ToolTip for example:
        Dim row As DataRowView = CType(e.NodeBound.DataItem, DataRowView)
        e.NodeBound.ToolTip = row("Tooltip").ToString()

        'Overwrite already bound properties. For example, remove the url for all root nodes:
        If e.NodeBound.Level = 0 Then
            e.NodeBound.NavigateUrl = ""
        End If
    End Sub 'RadTreeView1_NodeBound
End Class
