Imports Telerik.WebControls

Partial Class VB_Version_XmlDataSourceVB
    Inherits System.Web.UI.Page

    'When r.a.d.navigational controls are bound to an XmlDataSource,
    'the hierarchy is established automatically.
    'However, properties such as Text and NavigateUrl need to be set explicitly 
    'either declaratively as in this example, or in code behind.

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub

    Protected Sub RadMenu1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.RadMenuEventArgs)
        'Set additional properties
        If e.Item.Level > 0 Then 'set tooltip only for child items
            e.Item.ToolTip = "Read more about " + CStr(DataBinder.Eval(e.Item.DataItem, "Text"))
        End If
    End Sub 'RadMenu1_ItemDataBound

    Protected Sub RadPanelbar1_ItemDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.RadPanelbarEventArgs)
        'Set additional properties
        If e.Item.Level > 0 Then 'set tooltip only for child items
            e.Item.ToolTip = "Read more about " + CStr(DataBinder.Eval(e.Item.DataItem, "Text"))
        End If
    End Sub 'RadPanelbar1_ItemDataBound

    Protected Sub RadTabStrip1_TabDataBound(ByVal sender As Object, ByVal e As Telerik.WebControls.TabStripEventArgs)
    End Sub 'RadTabStrip1_TabDataBound

    'e.Tab.ToolTip = "Read more about " + (string)DataBinder.Eval(e.Tab.DataItem, "Text");       
    Protected Sub RadTreeView1_NodeBound(ByVal o As Object, ByVal e As Telerik.WebControls.RadTreeNodeEventArgs)
        'Set additional properties
        If e.NodeBound.Level > 0 Then 'set tooltip only for child items
            e.NodeBound.ToolTip = "Read more about " + CStr(DataBinder.Eval(e.NodeBound.DataItem, "Text"))
        End If
    End Sub 'RadTreeView1_NodeBound
End Class
