using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class XmlDataSource : System.Web.UI.Page
{
    //When r.a.d.navigational controls are bound to a XmlDataSource,
    //the hierarchy is established automatically.
    //However, properties such as Text and NavigateUrl need to be set explicitly 
    //either declaratively as in this example, or in code behind.

    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadMenu1_ItemDataBound(object sender, Telerik.WebControls.RadMenuEventArgs e)
    {
        //Set additional properties
        if (e.Item.Level > 0)//set tooltip only for child items
        e.Item.ToolTip ="Read more about " + (string)DataBinder.Eval(e.Item.DataItem, "Text");      
    }
    protected void RadPanelbar1_ItemDataBound(object sender, Telerik.WebControls.RadPanelbarEventArgs e)
    {
        //Set additional properties
        if (e.Item.Level > 0)//set tooltip only for child items
        e.Item.ToolTip = "Read more about " + (string)DataBinder.Eval(e.Item.DataItem, "Text");           
    }
    protected void RadTabStrip1_TabDataBound(object sender, Telerik.WebControls.TabStripEventArgs e)
    {
        //e.Tab.ToolTip = "Read more about " + (string)DataBinder.Eval(e.Tab.DataItem, "Text");       
    }
    protected void RadTreeView1_NodeBound(object o, Telerik.WebControls.RadTreeNodeEventArgs e)
    {
        //Set additional properties
        if (e.NodeBound.Level > 0)//set tooltip only for child items
        e.NodeBound.ToolTip = "Read more about " + (string)DataBinder.Eval(e.NodeBound.DataItem, "Text");
       
    }
}
